QGIS Application - Feature request #2466
Define Current Projection in fTools don't work
2010-02-24 10:44 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12526
Description

Seems that fTools "Define Current Projection” does not work correctly. It produces prij file

vectorname.shp|layerid=0.prj

instead of

vectorname.prj

Confirmed on Windows and Linux. Patch to fix this issue attached

Associated revisions

Revision 80e44941 - 2010-02-25 12:03 PM - cfarmer -

clean output proj file name, fixes: #2466

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12974 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 196037dd - 2010-02-25 12:03 PM - cfarmer -

clean output proj file name, fixes: #2466

git-svn-id: http://svn.osgeo.org/qgis/trunk@12974 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-25 01:39 AM - Giovanni Manghi

Hi,
many thanks for the patch, this was a much awaited fix for a known bug (strange that hadn't a ticket open). | would like to vote for immediate commit! :)

#2 - 2010-02-25 03:35 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

the patch was committed and is working fine!
#3 - 2010-02-25 09:56 AM - Maxim Dubinin

commit:196037dd (SVN r12975)

Files

doDefineProj.diff 549 Bytes 2010-02-24 Alexander Bruy
